Subject: Re: bug#19865: tar-untar-buffer: should honor default-directory

From: Eli Zaretskii <[email-masked]>
Date: Sat, 14 Feb 2015 19:44:22 +0200

> From: Ivan Shmakov <[email-masked]>
> Date: Sat, 14 Feb 2015 17:32:59 +0000
> 
> >>>>> Eli Zaretskii <[email-masked]> writes:
> >>>>> From: Ivan Shmakov  Date: Sat, 14 Feb 2015 15:57:36 +0000
> 
>  >> Well, let’s see if I can reword the report.
> 
>  > If all you want is for me to stop bothering you with comments, all
>  > you need is just ask.  There's no need to have the bug reports
>  > reworded around my comments.
> 
> 	All I want is to get the issue (that is: the misbehavior of
> 	tar-untar-buffer with respect to the tar-mode buffer value of
> 	default-directory) fixed.
> 
> 	From where I stand, the shortest way there seems to get either
> 	of my two patches approved (that is: at least a single OK and no
> 	NAKs), so that I can safely push it.  If there’s any other way I
> 	should be aware of – I’d like to hear about it.
> 
> 	My understanding is that the Stefan’s comment is an OK (for a
> 	former patch), while your request for “someone third to resolve
> 	the tie” is a NAK (please correct me if it’s not.)

It is only a NAK if it's respected.  I cannot force anyone here to do
anything, I don;t have that power.

> 	I appreciate the comments regarding the possible new “explicit
> 	destination directory” feature, and I guess I can work on a
> 	possible implementation once /this/ issue – and also #19481 –
> 	are fixed.  However, I believe that such a new feature is no
> 	substitute for a proper fix to this bug.

I obviously disagree, but whatever.